<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org/" lang="en">
    <head> 
        <title>Getting Started: Serving Web Content</title> 
        <meta name="viewport" content="width=device-width">
        <link  rel="stylesheet" href="css/form.css"/>
        <script src="/js/signUp.js"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <!-- Matomo -->
        <script>
            var _paq = window._paq = window._paq || [];
            /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            (function() {
            var u="//matomomufish.duckdns.org/";
            _paq.push(['setTrackerUrl', u+'matomo.php']);
            _paq.push(['setSiteId', '1']);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
            g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
            })();
        </script>
    </head>
    
    <body>
        
        <div class="cont">
            <a  href="/login"><img id ="back" src="/images/back.png" alt="Go back image"></a>
            <h2>SIGN UP</h2>
            <form action="/createUser">

                <label id="dni">
                    <span>DNI:</span>
                    <input type="text" name="dni" class="form-control" placeholder="DNI" required>
                </label>
                <br>
                <label id="username">
                    <span>Username:</span>
                    <input type="text" name="username" class="form-control" placeholder="Username" maxlength="12" required>
                </label>
                <br>
                <label id="password">
                    <span>Password:</span>
                    <input type="text" name="password" class="form-control" placeholder="Password" required>
                </label>
                <br>

                <label>
                    <span>User type:</span> 
                    <select name="userType" id="userType" class="form-control">
                        <option hidden disabled selected value> -- Select an option -- </option>
                        <option value="1">Fisher</option>
                        <option value="2">Coastguard</option>
                        <option value="3">Fishing Manager</option>
                    </select>
                </label>

                <br>

                <label class="changefield hideable" id="institution">
                    <span>Institution:</span>
                    <input type="text" name="institution" class="form-control" placeholder="Institution">
                </label>
                <label class="changefield hideable" id="license">
                    <span>License:</span>
                    <input type="text" name="license" class="form-control" placeholder="License">
                </label>
                <label class="changefield hideable" id="portId">
                    <span>Select Port: </span>
                    <select name="portId" class="form-control" id="portControlSelect1">
                        <option th:each="port : ${session.portList}" th:value="${port.portId}" th:text="${port.name}"></option>
                    </select>
                </label>
                <br>
                <button type="submit" class="button">Create User</button>
            </form>
        </div>
    </body>
</html>
